package usi.dbdp.tljttz.controller.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;
import org.apache.commons.httpclient.methods.PostMethod;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang.StringUtils;

public class HttpUtil {

   public static byte[] doGet(String url) {
      return doGet(url, (Map)null, (String)null, 0);
   }

   public static byte[] doGet(String url, Map headerMap) {
      return doGet(url, headerMap, (String)null, 0);
   }

   public static byte[] doGet(String url, String proxyUrl, int proxyPort) {
      return doGet(url, (Map)null, proxyUrl, proxyPort);
   }

   public static byte[] doGet(String url, Map headerMap, String proxyUrl, int proxyPort) {
      byte[] content = null;
      HttpClient httpClient = new HttpClient();
      GetMethod getMethod = new GetMethod(url);
      if(headerMap != null && headerMap != null) {
         Iterator inputStream = headerMap.entrySet().iterator();

         while(inputStream.hasNext()) {
            Entry ex = (Entry)inputStream.next();
            getMethod.addRequestHeader(ex.getKey().toString(), ex.getValue().toString());
         }
      }

      if(StringUtils.isNotBlank(proxyUrl)) {
         httpClient.getHostConfiguration().setProxy(proxyUrl, proxyPort);
      }

      getMethod.getParams().setParameter("http.socket.timeout", Integer.valueOf(10000));
      InputStream inputStream1 = null;

      try {
         if(httpClient.executeMethod(getMethod) == 200) {
            inputStream1 = getMethod.getResponseBodyAsStream();
            content = IOUtils.toByteArray(inputStream1);
         } else {
            System.err.println("Method failed: " + getMethod.getStatusLine());
         }
      } catch (IOException var12) {
         var12.printStackTrace();
      } finally {
         IOUtils.closeQuietly(inputStream1);
         getMethod.releaseConnection();
      }

      return content;
   }

   public static byte[] doPost(String url, Map parameterMap) {
      return doPost(url, (Map)null, parameterMap, (String)null, (String)null, 0);
   }

   public static byte[] doPost(String url, Map parameterMap, String paramCharset) {
      return doPost(url, (Map)null, parameterMap, paramCharset, (String)null, 0);
   }

   public static byte[] doPost(String url, Map headerMap, Map parameterMap, String paramCharset) {
      return doPost(url, headerMap, parameterMap, paramCharset, (String)null, 0);
   }

   public static byte[] doPost(String url, Map parameterMap, String paramCharset, String proxyUrl, int proxyPort) {
      return doPost(url, (Map)null, parameterMap, paramCharset, proxyUrl, proxyPort);
   }

   public static byte[] doPost(String url, Map headerMap, Map parameterMap, String paramCharset, String proxyUrl, int proxyPort) {
      byte[] content = null;
      HttpClient httpClient = new HttpClient();
      PostMethod postMethod = new PostMethod(url);
      if(StringUtils.isNotBlank(paramCharset)) {
         postMethod.getParams().setContentCharset(paramCharset);
         postMethod.getParams().setHttpElementCharset(paramCharset);
      }

      Iterator iterator;
      if(headerMap != null && headerMap != null) {
         iterator = headerMap.entrySet().iterator();

         while(iterator.hasNext()) {
            Entry inputStream = (Entry)iterator.next();
            postMethod.addRequestHeader(inputStream.getKey().toString(), inputStream.getValue().toString());
         }
      }

      iterator = parameterMap.keySet().iterator();

      while(iterator.hasNext()) {
         String inputStream1 = (String)iterator.next();
         postMethod.addParameter(inputStream1, (String)parameterMap.get(inputStream1));
      }

      if(StringUtils.isNotBlank(proxyUrl)) {
         httpClient.getHostConfiguration().setProxy(proxyUrl, proxyPort);
      }

      postMethod.getParams().setParameter("http.socket.timeout", Integer.valueOf(10000));
      InputStream inputStream2 = null;

      try {
         if(httpClient.executeMethod(postMethod) == 200) {
            inputStream2 = postMethod.getResponseBodyAsStream();
            content = IOUtils.toByteArray(inputStream2);
         } else {
            System.err.println("Method failed: " + postMethod.getStatusLine());
         }
      } catch (IOException var15) {
         var15.printStackTrace();
      } finally {
         IOUtils.closeQuietly(inputStream2);
         postMethod.releaseConnection();
      }

      return content;
   }

   public static void main(String[] args) {
      HashMap map = new HashMap();
      map.put("wd", "nima");
      byte[] b = doGet("http://www.baidu.com", map);
      System.out.println("-------------------" + new String(b));
   }
}
